class TestRouteProvider

Same name in this branch
  1. main core/tests/Drupal/Tests/Core/Entity/EntityTypeManagerTest.php \Drupal\Tests\Core\Entity\TestRouteProvider
Same name and namespace in other branches
  1. 11.x core/tests/Drupal/KernelTests/Core/Routing/RouteProviderTest.php \Drupal\KernelTests\Core\Routing\TestRouteProvider
  2. 11.x core/tests/Drupal/Tests/Core/Entity/EntityTypeManagerTest.php \Drupal\Tests\Core\Entity\TestRouteProvider
  3. 10 core/tests/Drupal/KernelTests/Core/Routing/RouteProviderTest.php \Drupal\KernelTests\Core\Routing\TestRouteProvider
  4. 10 core/tests/Drupal/Tests/Core/Entity/EntityTypeManagerTest.php \Drupal\Tests\Core\Entity\TestRouteProvider
  5. 9 core/tests/Drupal/KernelTests/Core/Routing/RouteProviderTest.php \Drupal\KernelTests\Core\Routing\TestRouteProvider
  6. 9 core/tests/Drupal/Tests/Core/Entity/EntityTypeManagerTest.php \Drupal\Tests\Core\Entity\TestRouteProvider
  7. 8.9.x core/tests/Drupal/KernelTests/Core/Routing/RouteProviderTest.php \Drupal\KernelTests\Core\Routing\TestRouteProvider
  8. 8.9.x core/tests/Drupal/Tests/Core/Entity/EntityTypeManagerTest.php \Drupal\Tests\Core\Entity\TestRouteProvider

Stub class for testing RouteProvider.

Hierarchy

Expanded class hierarchy of TestRouteProvider

File

core/tests/Drupal/KernelTests/Core/Routing/RouteProviderTest.php, line 790

Namespace

Drupal\KernelTests\Core\Routing
View source
class TestRouteProvider extends RouteProvider {
  
  /**
   * {@inheritdoc}
   */
  public function getCandidateOutlines(array $parts) {
    return parent::getCandidateOutlines($parts);
  }

}

Members

Title Sort descending Modifiers Object type Summary Overriden Title
RouteProvider::$extraCacheKeyParts protected property An array of cache key parts to be used for the route match cache.
RouteProvider::$routes protected property A cache of already-loaded routes, keyed by route name.
RouteProvider::addExtraCacheKeyPart public function Adds a cache key part to be used in the cache ID of the route collection. Overrides CacheableRouteProviderInterface::addExtraCacheKeyPart
RouteProvider::getAllRoutes public function Returns all the routes on the system. Overrides RouteProviderInterface::getAllRoutes
RouteProvider::getCurrentLanguageCacheIdPart protected function Returns the language identifier for the route collection cache.
RouteProvider::getQueryParametersCacheIdPart protected function Returns the query parameters identifier for the route collection cache.
RouteProvider::getRouteAliases public function Gets aliases for a route name. Overrides RouteProviderInterface::getRouteAliases
RouteProvider::getRouteByName public function Find the route using the provided route name. Overrides RouteProviderInterface::getRouteByName
RouteProvider::getRouteCollectionCacheId protected function Returns the cache ID for the route collection cache.
RouteProvider::getRouteCollectionForRequest public function Finds routes that may potentially match the request. Overrides RouteProviderInterface::getRouteCollectionForRequest
RouteProvider::getRoutesByNames public function Find many routes by their names using the provided list of names. Overrides RouteProviderInterface::getRoutesByNames
RouteProvider::getRoutesByPath protected function Get all routes which match a certain pattern.
RouteProvider::getRoutesByPattern public function Get all routes which match a certain pattern. Overrides RouteProviderInterface::getRoutesByPattern
RouteProvider::getSubscribedEvents public static function
RouteProvider::preLoadRoutes public function Pre-load routes by their names using the provided list of names. Overrides PreloadableRouteProviderInterface::preLoadRoutes
RouteProvider::reset public function Resets the route provider object. Overrides RouteProviderInterface::reset
RouteProvider::routeProviderRouteCompare protected function Comparison function for usort on routes.
RouteProvider::__construct public function
TestRouteProvider::getCandidateOutlines public function Returns an array of path pattern outlines that could match the path parts. Overrides RouteProvider::getCandidateOutlines

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.